GuideLab API

Create a component

Create a new lab component. If sortOrder is not specified, it is automatically set to the next available position.

POST
/components

Create a new lab component. If sortOrder is not specified, it is automatically set to the next available position.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/components" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "component": {    "id": "string",    "labId": "string",    "name": "string",    "isActive": true,    "sortOrder": 0,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty
Empty